bcr_test_module:
  module_path: "examples/01-basics/03-testing"
  matrix:
    platform:
      # - macos
      - macos_arm64
      - ubuntu2404
      - ubuntu2404_arm64
      # - windows
      # - windows_arm64
    bazel:
      - 9.x
  tasks:
    run_tests:
      name: "Build and test example 01-basics/03-testing"
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      build_targets:
        - "//..."
      test_targets:
        - "//..."
